Subject: MX28 poweroff issue

From: [email-masked] (Marek Vasut)
Date: Wed, 4 Jul 2012 05:47:36 +0200

Dear Fabio Estevam,

> On Tue, Jul 3, 2012 at 11:12 PM, Marek Vasut <[email-masked]> wrote:
> > Dunno, can you try on mx28 please?
> 
> I get the same crash as you reported.
> 
> On a mx27 (also ARM926EJS) I do not see this problem.

Thanks for verifying this, Fabio. The mx28 generates timer interrupt after it 
should be sitting in the endless loop, therefore this crash. I think it's 
because the mx28 (mxs at al) is using the new clock framework (compared to mxc) 
and the timer isn't deinited by then ...

Disabling interrupts might be just the right solution, though I'm not sure if 
it's not hiding bugs ...

> Regards,
> Fabio Estevam

Best regards,
Marek Vasut